LSIPC(1)

NAZWA
lsipc - pokazuje informacje o zasobach IPC aktualnie występujących w systemie

SKŁADNIA

lsipc [opcje]

OPIS

lsipc pokazuje informacje o zasobach komunikacji międzyprocesowej (IPC) POSIX oraz Systemu V, do których odczytu ma dostęp proces wywołujący.

Domyślny wynik, jak również domyślny wynik z opcji z predefiniowanymi kolumnami wyjściowymi (takich jak --shmems itp.) może ulec zmianie. Gdy to tylko możliwe, należy unikać używania domyślnych wyników w swoich skryptach. Proszę zawsze jawnie określać oczekiwane kolumny opcją --output lista-kolumn oraz --list w środowiskach wymagającego stabilnego wyniku.

OPCJE

-i, --id id
    Pokazuje pełne szczegóły jedynie jednego elementu zasobu (Systemu V) o podanym id. Opcja wymaga łączenia z jedną z opcji zasobów: -m, -q lub -s. Można przesłonić domyślny format wyjściowy tej opcji za pomocą opcji --list, --raw, --json lub --export.

-N, --name nazwa
    Pokazuje pełne szczegóły jedynie jednego elementu zasobu (POSIX) o podanej nazwie. Opcja wymaga łączenia z jedną z opcji zasobów: -M, -Q lub -S. Można przesłonić domyślny format wyjściowy tej opcji za pomocą opcji --list, --raw, --json lub --export.

-g, --global
    Pokazuje systemowe użycie i limity zasobów IPC. Opcję można łączyć z jedną z trzech opcji zasobów -m, -q lub -s. Domyślnie pokazuje informacje o wszystkich zasobach.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

  Opcje zasobów

-m, --shmems
    Wypisuje informacje o aktywnych segmentach pamięci dzielonej Systemu V.

-M, --posix-shmems
    Wypisuje informacje o aktywnych segmentach pamięci dzielonej POSIX.

-q, --queues
    Wypisuje informacje o aktywnych kolejkach komunikatów Systemu V.

-Q, --posix-mqueues
    Wypisuje informacje o aktywnych kolejkach komunikatów POSIX.

-s, --semaphores
    Wypisuje informacje o aktywnych zestawach semaforów Systemu V.

-S, --posix-semaphores
    Wypisuje informacje o aktywnych nazwanych semaforach POSIX.

  Formatowanie wyjściowe

-c, --creator
    Pokazuje twórcę i właściciela.

-e, --export
    Tworzy wyjście w postaci par klucz=="wartość". Wszystkie potencjalnie niebezpieczne znaki są cytowane szesnastkowo (\x<kod>). Zob. też opcja --shell.

-J, --json
    Używa formatu wyjściowego JSON.

-l, --list
    Używa formatu wyjściowego listy. Tak jest domyślnie, chyba że podano opcję --id.

-n, --newline
    Wyświetla każdą informację w oddzielnym wierszu.

--noheadings
    Nie wypisuje nagłówka.

--notruncate
    Nie przycina wyjścia.

-o, --output lista
    Określa wypisywane kolumny. Ich listę można poznać podając opcję --help.

-b, --bytes
    Wypisuje rozmiar w bajtach, zamiast w formacie czytelnym dla człowieka.

-r, --raw
    Surowe wyjście (bez kolumn).

-t, --time
    Informacja o czasie zapisu. Czas ostatniej operacji kontroli, która zmieniła uprawnienia dostępu do wszystkich elementów, czas ostatniej operacji msgsnd(2) i msgrcv(2) na kolejkach wiadomości, czas ostatnich operacji shmat(2) i shmdt(2) na pamięci dzielonej i czas ostatniej operacji semop(2) na semaforach.

--time-format typ
    Wyświetla daty w formacie: short (krótkim), full (pełnym) lub iso. Domyślnym formatem jest short, zaprojektowany by być zwięzłym i czytelnym dla człowieka.

-P, --numeric-perms
    Wypisuje uprawnienia liczbowo w kolumnie PERMS.

-y, --shell
    Nazwy kolumn będą zmodyfikowane, aby zawierać jedynie znaki dozwolone dla identyfikatorów zmiennych powłoki. Jest to przydatne np. z opcją --export. Proszę zauważyć, że funkcję tą włączono automatycznie przy opcji --export w wersji 2.37, ale z powodu problemów z kompatybilnością, obecnie konieczne jest zażądanie takiego zachowania opcją --shell.

STATUS ZAKOŃCZENIA

0
    jeśli wszystko jest OK,

1
    jeśli podano niepoprawne argumenty,

2
    jeśli wystąpił poważny błąd.

HISTORIA

Inspiracją do powstania narzędzia lsipc było narzędzie ipcs(1).

AUTORZY

ZOBACZ TAKŻE

ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2), sysvipc(7)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie lsipc jest częścią pakietu util-linux, który można pobrać ze strony